Package org.gdal.ogr

## Class GeomFieldDefn

- java.lang.Object
- - org.gdal.ogr.GeomFieldDefn

-     public class GeomFieldDefn
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeomFieldDefn​()` |
    `GeomFieldDefn​(java.lang.String name_null_ok)` |
    `GeomFieldDefn​(java.lang.String name_null_ok, int field_type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `GetFieldType​()` |
    `java.lang.String` | `GetName​()` |
    `java.lang.String` | `GetNameRef​()` |
    `SpatialReference` | `GetSpatialRef​()` |
    `int` | `hashCode​()` |
    `int` | `IsIgnored​()` |
    `int` | `IsNullable​()` |
    `void` | `SetIgnored​(int bIgnored)` |
    `void` | `SetName​(java.lang.String name)` |
    `void` | `SetNullable​(int bNullable)` |
    `void` | `SetSpatialRef​(SpatialReference srs)` |
    `void` | `SetType​(int type)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeomFieldDefn

          public GeomFieldDefn​(java.lang.String name_null_ok,
                               int field_type)

    - #### GeomFieldDefn

          public GeomFieldDefn​(java.lang.String name_null_ok)

    - #### GeomFieldDefn

          public GeomFieldDefn​()

  - ### Method Detail

    - #### delete

          public void delete​()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName​()

    - #### GetNameRef

          public java.lang.String GetNameRef​()

    - #### SetName

          public void SetName​(java.lang.String name)

    - #### GetFieldType

          public int GetFieldType​()

    - #### SetType

          public void SetType​(int type)

    - #### GetSpatialRef

          public SpatialReference GetSpatialRef​()

    - #### SetSpatialRef

          public void SetSpatialRef​(SpatialReference srs)

    - #### IsIgnored

          public int IsIgnored​()

    - #### SetIgnored

          public void SetIgnored​(int bIgnored)

    - #### IsNullable

          public int IsNullable​()

    - #### SetNullable

          public void SetNullable​(int bNullable)